Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Mar 2022 22:47:13 +0100

Lars Ingebrigtsen <[email-masked]> writes:

>>>   > - Optionally, let the user enter a short note of why he has locked the
>>>   >   buffer.  Print this when the user tries to kill the buffer/ Emacs.
>>>   >   Helpful as reminder for people who run Emacs for several days.
>>>
>>> It doesn't look like this was implemented?  But it does sound kinda
>>> useful...  would `M-x lock-buffer' just prompt for a reason?
>>
>> I would say it would do that when called interactively with a prefix
>> arg.
>
> Sure; makes sense.

Looking at this again -- this is really `emacs-lock-mode'?
`lock-buffer' does something completely unrelated.

But this is a minor mode, so the prefix arg is taken.  We could add a
`emacs-lock-set-reason' command, but...  would anybody use that?

I've never used `emacs-lock-mode', so I don't know what people er would
use it for.

Any opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no